Package org.eclipse.emf.cdo.spi.server

# Class RepositoryFactory

java.lang.Object
org.eclipse.emf.cdo.spi.server.RepositoryFactory

All Implemented Interfaces:
  `IRepositoryFactory`

public class RepositoryFactory extends Object implements IRepositoryFactory
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  2.0
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE`

### Fields inherited from interface org.eclipse.emf.cdo.server.IRepositoryFactory

`PRODUCT_GROUP`

## Constructor Summary

Constructors
Constructor
Description
`RepositoryFactory()`

## Method Summary

Modifier and Type
Method
Description
`IRepository`
`createRepository()`
`static IRepository`
`get(org.eclipse.net4j.util.container.IManagedContainer container, String name)`
`String`
`getRepositoryType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE

public static final String TYPE

See Also:
  - Constant Field Values

## Constructor Details

### RepositoryFactory

public RepositoryFactory()

## Method Details

### getRepositoryType

public String getRepositoryType()

Specified by:
  `getRepositoryType` in interface `IRepositoryFactory`

### createRepository

public IRepository createRepository()

Specified by:
  `createRepository` in interface `IRepositoryFactory`

### get

public static IRepository get(org.eclipse.net4j.util.container.IManagedContainer container, String name)